#!ipy

"""
++++++++++++++
 abstracts.py
++++++++++++++

 author: Jesse Wiles
 copyright: Quadralay Corporation, 2007.
 
 Abstract classes for the resources tool adapter.
"""

import interfaces

class PyToolAdapter(interfaces.IPyToolAdapter):
    def __init__(self, env):
        self._env = env

    def duplicate(self):
        pass

    def pdf(self):
        pass

    def ps_images(self):
        pass

    def ps_pdf(self):
        pass

    def xml(self):
        pass

    def scan_book(self):
        pass

    def scan_doc(self):
        pass
